# $Revision: 1.22.2.3 $, $Date: 2006/11/30 14:49:32 $
# TODO
# - mono bindings (build crashes on ppc)
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Bluetooth GObject based library
Summary(pl):	Biblioteka do programowania urzdze Bluetooth
Name:		libbtctl
Version:	0.6.0
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libbtctl/0.6/%{name}-%{version}.tar.gz
# Source0-md5:	916cb1b8054b529a8dd944bd72bb7193
URL:		http://usefulinc.com/software/gnome-bluetooth/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel >= 2.8-2
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gtk-doc >= 0.10
BuildRequires:	libtool
BuildRequires:	openobex-devel
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-pygtk-devel >= 2.2.0
Requires:	bluez-libs >= 2.8-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a library to control Bluetooth devices.

%description -l pl
Ten pakiet zawiera bibliotek do kontrolowania urzdze Bluetooth.

%package devel
Summary:	Header files for libbtctl library
Summary(pl):	Pliki nagwkowe biblioteki libbtctl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bluez-libs-devel >= 2.8-2
Requires:	glib2-devel >= 2.0.0
Requires:	openobex-devel

%description devel
Header files for libbtctl library.

%description devel -l pl
Pliki nagwkowe biblioteki libbtctl.

%package static
Summary:	Static libbtctl library
Summary(pl):	Statyczna biblioteka libbtctl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libbtctl library.

%description static -l pl
Statyczna biblioteka libbtctl.

%package -n python-btctl
Summary:	Python bindings for libbtctl library
Summary(pl):	Wizania dla jzyka Python biblioteki libbtctl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-btctl
Static libbtctl library.

%description -n python-btctl -l pl
Wizania dla jzyka Python biblioteki libbtctl.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-mono \
	--enable-gtk-doc \
	--with-html-path=%{_gtkdocdir} \
	%{!?with_static_libs:--disable-static}

%{__make} -j1 \
	pydir=%{py_sitedir}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pydir=%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc
%{_gtkdocdir}/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%files -n python-btctl
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libbtctl.spec,v $
Revision 1.22.2.3  2006/11/30 14:49:32  glen
- rel 3

Revision 1.22.2.2  2006/10/30 08:46:49  glen
- rel 2

Revision 1.22.2.1  2006/05/15 22:41:53  baggins
- up to 0.6.0

Revision 1.23  2005/12/26 16:58:23  wolvverine
- version 0.6.0
- STBR

Revision 1.22  2005/08/21 10:19:32  wiget
- updated to 0.5.0

Revision 1.21  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.20  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.19  2005/06/15 16:39:21  witekfl
- added bcond_without static

Revision 1.18  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.17  2004/12/24 23:41:49  qboosh
- -devel R: glib2-devel,openobex-devel

Revision 1.16  2004/12/23 22:01:57  saq
- missing BR
- release 5

Revision 1.15  2004/12/23 21:43:34  saq
- release 4 for rebuild with python 2.4

Revision 1.14  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.13  2004/11/14 12:46:49  havner
- rel 3

Revision 1.12  2004/07/28 08:03:14  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.11  2004/07/25 12:16:22  qboosh
- disable mono for now (unpackaged anyway, build crashes on ppc)
- release 2

Revision 1.10  2004/07/23 19:32:41  qboosh
- R: bluez-libs with sdp interface in libbluetooth
- fixed build on amd64, release 1

Revision 1.9  2004/07/23 14:24:57  qboosh
- somebody forgot to... updated to 0.4.1, use bluez-libs w/o libsdp

Revision 1.8  2004/06/19 16:35:24  qboosh
- BR: ac,lt

Revision 1.7  2004/06/11 23:42:39  wrobell
- ver. 0.4.0
- added python package
- added developer documentation

Revision 1.6  2004/04/11 14:49:39  qboosh
- use libsdp from bluez-libs >= 2.6

Revision 1.5  2004/03/13 20:26:38  qboosh
- BR: automake, strict internal deps

Revision 1.4  2004/03/12 22:33:59  andree
- copy config.sub

Revision 1.3  2003/09/04 14:16:35  wrobell
- rel. 1 /thanks qboosh, i have to sleep more.../

Revision 1.2  2003/09/04 14:13:54  qboosh
- fixed defattr, removed empty NEWS from doc
- added descriptions (not from README - it's a little misleading...)
- BR: glib2-devel, pkgconfig

Revision 1.1  2003/09/04 13:39:18  wrobell
- based on template-lib.spec
